# Generated by Django 3.0.8 on 2020-09-15 07:30

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('patient_registration', '0012_auto_20200907_0801'),
        ('general_report', '0010_auto_20200907_0801'),
        ('cap_report', '0005_auto_20200914_0854'),
    ]

    operations = [
        migrations.CreateModel(
            name='Architectural_patterns',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('value', models.CharField(max_length=200)),
            ],
        ),
        migrations.CreateModel(
            name='Ductal_carcinoma_insitu',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('value', models.CharField(max_length=200)),
            ],
        ),
        migrations.CreateModel(
            name='Glandular_tubular_differentiation',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('value', models.CharField(max_length=200)),
            ],
        ),
        migrations.CreateModel(
            name='Lymphovascular_invasion',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('value', models.CharField(max_length=200)),
            ],
        ),
        migrations.CreateModel(
            name='Mitotic_rate',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('value', models.CharField(max_length=200)),
            ],
        ),
        migrations.CreateModel(
            name='Nuclear_pleomorphism',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('value', models.CharField(max_length=200)),
            ],
        ),
        migrations.CreateModel(
            name='Overall_grade',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('value', models.CharField(max_length=200)),
            ],
        ),
        migrations.CreateModel(
            name='Tumor_size',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('value', models.CharField(max_length=200)),
            ],
        ),
        migrations.CreateModel(
            name='BreastInvasiveBiopsy',
            fields=[
                ('acc_no', models.OneToOneField(editable=False, on_delete=django.db.models.deletion.CASCADE, primary_key=True, serialize=False, to='general_report.StartDiagnosis')),
                ('procedure_note', models.CharField(blank=True, max_length=255)),
                ('specimen_laterality_note', models.CharField(blank=True, max_length=255)),
                ('tumor_site_note', models.CharField(blank=True, max_length=255)),
                ('histologic_type_note', models.CharField(blank=True, max_length=255)),
                ('nuclear_grade_note', models.CharField(blank=True, max_length=255)),
                ('necrosis_note', models.CharField(blank=True, max_length=255)),
                ('microcalcifications_note', models.CharField(blank=True, max_length=255)),
                ('tumor_size_note', models.CharField(blank=True, max_length=255)),
                ('glandular_tubular_differentiation_note', models.CharField(blank=True, max_length=255)),
                ('nuclear_pleomorphism_note', models.CharField(blank=True, max_length=255)),
                ('mitotic_rate_note', models.CharField(blank=True, max_length=255)),
                ('overall_grade_note', models.CharField(blank=True, max_length=255)),
                ('ductal_carcinoma_insitu_note', models.CharField(blank=True, max_length=255)),
                ('architectural_patterns_note', models.CharField(blank=True, max_length=255)),
                ('lymphovascular_invasion_note', models.CharField(blank=True, max_length=255)),
                ('architectural_patterns', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='cap_report.Architectural_patterns')),
                ('ductal_carcinoma_insitu', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='cap_report.Ductal_carcinoma_insitu')),
                ('glandular_tubular_differentiation', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='cap_report.Glandular_tubular_differentiation')),
                ('histologic_type', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='cap_report.Histologic_type')),
                ('lymphovascular_invasion', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='cap_report.Lymphovascular_invasion')),
                ('microcalcifications', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='cap_report.Microcalcifications')),
                ('mitotic_rate', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='cap_report.Mitotic_rate')),
                ('necrosis', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='cap_report.Necrosis')),
                ('nuclear_grade', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='cap_report.Nuclear_grade')),
                ('nuclear_pleomorphism', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='cap_report.Nuclear_pleomorphism')),
                ('overall_grade', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='cap_report.Overall_grade')),
                ('patient_id', models.ForeignKey(editable=False, on_delete=django.db.models.deletion.CASCADE, to='patient_registration.PatientRegistration')),
                ('procedure', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='cap_report.Procedure')),
                ('specimen_laterality', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='cap_report.Specimen_laterality')),
                ('tumor_site', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='cap_report.Tumor_site')),
                ('tumor_size', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='cap_report.Tumor_size')),
            ],
            options={
                'db_table': 'breast_invasive_biopsy',
            },
        ),
    ]
